Bug 771490 - Provide native systemd service
Provide native systemd service
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: coda (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Neil Horman
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 751869
  Show dependency treegraph
 
Reported: 2012-01-03 16:35 EST by Jóhann B. Guðmundsson
Modified: 2014-05-26 05:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-26 05:43:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Native systemd unit for coda-client (226 bytes, text/plain)
2012-01-03 16:36 EST, Jóhann B. Guðmundsson
no flags Details
Native systemd unit for auth2 (178 bytes, text/plain)
2012-01-03 16:47 EST, Jóhann B. Guðmundsson
no flags Details
Native systemd unit for auth2-slave (175 bytes, text/plain)
2012-01-03 16:48 EST, Jóhann B. Guðmundsson
no flags Details
Native systemd unit for update master server (170 bytes, application/octet-stream)
2012-01-03 16:54 EST, Jóhann B. Guðmundsson
no flags Details
Native systemd unit for update slave server (171 bytes, text/plain)
2012-01-03 16:55 EST, Jóhann B. Guðmundsson
no flags Details
Native systemd unit for codesrv (189 bytes, text/plain)
2012-01-03 17:07 EST, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2012-01-03 16:35:26 EST
Description of problem:

Let's get the ball rolling on this one...

http://fedoraproject.org/wiki/Features/SysVtoSystemd
https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2012-01-03 16:36:07 EST
Created attachment 550536 [details]
Native systemd unit for coda-client
Comment 2 Jóhann B. Guðmundsson 2012-01-03 16:47:29 EST
Created attachment 550539 [details]
Native systemd unit for auth2
Comment 3 Jóhann B. Guðmundsson 2012-01-03 16:48:35 EST
Created attachment 550540 [details]
Native systemd unit for auth2-slave

separated unit file for slave servers ( -chk )
Comment 4 Jóhann B. Guðmundsson 2012-01-03 16:54:48 EST
Created attachment 550542 [details]
Native systemd unit for update master server
Comment 5 Jóhann B. Guðmundsson 2012-01-03 16:55:30 EST
Created attachment 550543 [details]
Native systemd unit for update slave server
Comment 6 Jóhann B. Guðmundsson 2012-01-03 17:07:16 EST
Created attachment 550547 [details]
Native systemd unit for codesrv
Comment 7 Jóhann B. Guðmundsson 2012-01-03 17:11:51 EST
Note afaik the kernel support auto-loading of the kernel module hence I skipped a section that loaded that in the coda-client unit the rest needed to be split up to master/slave units
Comment 8 Gwyn Ciesla 2012-05-15 09:12:20 EDT
Neil, any objection to my making this change?
Comment 9 Benjamin Gilbert 2012-08-09 18:57:09 EDT
Looks like the change was made in 6.9.5-6 in January.

Re comment 7: on my box, coda-client is now failing to start unless the kernel module is loaded manually.  Jóhann, did this work on your system?
Comment 10 Fedora End Of Life 2013-04-03 16:28:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 11 Jóhann B. Guðmundsson 2014-05-26 05:43:38 EDT
Given that I have left the project and a new individual may or may not continue with systemd integration in the project by submitting new feature following whatever demands FPC and FESCo might have and thus new units in the process I'm closing this and all remaining bugs I had submitted for this particular feature as WONTFIX

Note You need to log in before you can comment on or make changes to this bug.